# This configuration file indicates profiles , profiles groups and users automatically create when a new customer or customer tenant is created.
# Put as many as you want following the template given
customer-init:
  # Default profiles for each customer created
  profiles:
    - name: Profil pour la gestion des profiles de sécurité
      description: Gestion des profiles de sécurité dans Vitam
      app-name: SECURITY_PROFILES_APP
      level:
      roles:
       - ROLE_GET_SECURITY_PROFILES
       - ROLE_CREATE_SECURITY_PROFILES
       - ROLE_UPDATE_SECURITY_PROFILES
       - ROLE_DELETE_SECURITY_PROFILES

    - name: Profil pour la gestion des formats de fichiers
      description: Gestion des formats de fichiers dans Vitam
      app-name: FILE_FORMATS_APP
      level:
      roles:
       - ROLE_GET_FILE_FORMATS
       - ROLE_CREATE_FILE_FORMATS
       - ROLE_UPDATE_FILE_FORMATS
       - ROLE_DELETE_FILE_FORMATS

    - name: Profil pour la gestion des ontologies
      description: Gestion des ontologies dans Vitam
      app-name: ONTOLOGY_APP
      level:
      roles:
       - ROLE_GET_ONTOLOGIES
       - ROLE_CREATE_ONTOLOGIES
       - ROLE_DELETE_ONTOLOGIES

    - name: Profile pour la gestion des contrats des contextes
      description: Gestion des contrats des contextes dans Vitam
      app-name: CONTEXTS_APP
      level:
      roles:
       - ROLE_GET_CONTEXTS
       - ROLE_CREATE_CONTEXTS
       - ROLE_UPDATE_CONTEXTS

  #- name: profileName
  #  description: desc
  #  level: 1
  #  app-name: app
  #  roles:
  #    - role_1
  #    - role_2
  #    - role_3
  #  ...
  # Default profiles groups for each customer created
  profiles-groups:
  #- name: group1
  #   description: desc
  #   level: 2
  #   profiles:
  #     - profileName
  #  ...
  # Default users for each customer created
  users:
  #- last-name: lastName
  #   first-name: firstName
  #   profiles-group-name: group1
  #   level: 1
  #   email-prefix: a@mail.com

  # Default profiles for each tenant created
  tenant-profiles:
    - name: Profil pour la gestion des contrats d'accès
      description: Gestion des contrats d'accès dans Vitam
      app-name: ACCESS_APP
      level:
      roles:
       - ROLE_GET_ACCESS_CONTRACTS
       - ROLE_CREATE_ACCESS_CONTRACTS
       - ROLE_UPDATE_ACCESS_CONTRACTS

    - name: Profil pour la gestion des contrats d'entrée
      description: Gestion des contrats d'entrée dans Vitam
      app-name: INGEST_APP
      level:
      roles:
       - ROLE_GET_INGEST_CONTRACTS
       - ROLE_CREATE_INGEST_CONTRACTS
       - ROLE_UPDATE_INGEST_CONTRACTS

    - name: Profil pour les services agents
      description: Gestion des services agents dans Vitam
      app-name: AGENCIES_APP
      level:
      roles:
       - ROLE_GET_AGENCIES
       - ROLE_CREATE_AGENCIES
       - ROLE_UPDATE_AGENCIES
       - ROLE_DELETE_AGENCIES
       - ROLE_EXPORT_AGENCIES

    - name: Profil pour la gestion des Audits
      description: Gestion des audits dans Vitam
      app-name: AUDIT_APP
      level:
      roles:
       - ROLE_GET_AUDITS
       - ROLE_RUN_AUDITS

    - name: Profil Journal des Opérations
      description: Gestion des applications des Journaux des Opérations
      app-name: LOGBOOK_OPERATION_APP
      level:
      roles:
        - ROLE_LOGBOOKS

  #- name: profileName
  #  description: desc
  #  level: 1
  #  app-name: app
  #  roles:
  #   - role_1
  #   - role_2
  #   - role_3
  #  ...

  # Other Default profiles for admin group
  admin-profiles:
  #- name: profileName
  #  description: desc
  #  level: 1
  #  app-name: app
  #  roles:
  #   - role_1
  #   - role_2
  #   - role_3
  #  ...
